<?php

// Programmiert durch Samuel Wolff
// Getestet durch: Samuel Wolff

namespace ppb\Controller;

use ppb\Library\Msg;
use ppb\Model\KindModel;

class KindController
{

    private $db;

    public function __construct()
    {
        $this->db = new KindModel();
    }

    // $parentId ist standardmäßig auf false und gibt damit alle Kinder aus,
    // das setzen gibt nur Kinder eines bestimmten Benutzerkontos aus.
    public function getKind($parentId = false)
    {
        $result = $this->db->getKind($parentId);

        return json_encode($result);
    }

    // Updated ein Kind
    public function updateKind($kindId, $data)
    {
        $result = $this->db->updateKind($kindId, $data);

        return json_encode($result);
    }

    // Fügt ein Kind hinzu
    public function writeKind($data)
    {
        $result = $this->db->addKind($data);

        return json_encode($data);
    }

    // Löscht ein Kind
    public function deleteKind($kindId)
    {
        $result = $this->db->deleteKind($kindId);

        return $result;
    }

}

?>